Status: Closed

Priority: Normal

Assignee: Tomas Strachota

Category: Hammer core

Target version: 1.8.3

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: In Kanboard:

Pull request: Red Hat JIRA:
Team Backlog:

Description

Related issues:
Related to Hammer CLI - Feature #3666: i18n support Closed 11/15/2013
Related to Packaging - Bug #5787: Packages for clamp need to be patched to su... Closed 05/19/2014

Associated revisions

Revision 73e3eff6 - 05/16/2014 09:51 AM - Tomas Strachota

Refs #4475 - messages for clamp translated

Revision 014e011e - 05/19/2014 11:14 AM - Tomas Strachota

Merge pull request #110 from tstrachota/clamp_translations_2

Refs #4475 - messages for clamp translated

History

#1 - 02/27/2014 12:26 PM - Tomas Strachota
- Related to Feature #3666: i18n support added

#2 - 03/03/2014 01:22 PM - Anonymous

- Target version set to 1.9.0

#3 - 03/24/2014 11:42 AM - Tomas Strachota
- Status changed from New to Assigned

- Assignee set to Tomas Strachota

Strings in Clamp are wired in quite tightly. I've contacted Clamp's author with my proposed solution. I'm waiting to hear from him before | start coding.

#4 - 03/26/2014 01:28 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#5 - 03/31/2014 03:24 PM - Tomas Strachota
PR for the Clamp part: https:/github.com/mdub/clamp/pull/42

#6 - 04/24/2014 12:04 PM - Tomas Strachota

- Target version changed from 1.8.4 to 1.8.3

#7 - 05/16/2014 10:13 AM - Tomas Strachota
https://github.com/mdub/clamp/pull/42

After the initial discussion and ideas from Clamp's author | updated my patch to https:/github.com/mdub/clamp/pull/43
Unfortunately | haven't heard from him since then. I'm waiting for the PR to be accepted.
The related part for hammer-cli is in https:/github.com/theforeman/hammer-cli/pull/110

#8 - 05/19/2014 11:14 AM - Tomas Strachota
- Related to Bug #5787: Packages for clamp need to be patched to support translations added

#9 - 05/19/2014 11:14 AM - Tomas Strachota

- Status changed from Assigned to Closed
